Page MenuHomeFreeBSD

[new port] devel/linux-c7-strace: System call tracer for version 7
ClosedPublic

Authored by trasz on Apr 23 2019, 7:25 PM.

Details

Summary

Add devel/linux-c7-strace. Note that this is not currently
working quite well; the kernel part is coming shortly.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

trasz created this revision.Apr 23 2019, 7:25 PM
trasz added a reviewer: tijl.Apr 23 2019, 7:25 PM
tijl added inline comments.Apr 23 2019, 8:03 PM
devel/linux-c7-strace/Makefile
11 ↗(On Diff #56550)

This should be 4.el7 for CentOS 7.4 currently in ports. Then you can remove the LINUX_DIST_VER line below. Setting it to 7 means you're fetching from the latest 7.x version which will probably fail when 7.(x+1) is released.

linimon retitled this revision from Add linux-c7-strace to [new port] devel/linux-c7-strace: System call tracer for version 7.Apr 23 2019, 9:14 PM
trasz updated this revision to Diff 56554.Apr 23 2019, 9:15 PM

Fetch from the right repo.

trasz added inline comments.Apr 23 2019, 9:17 PM
devel/linux-c7-strace/Makefile
11 ↗(On Diff #56550)

Thanks, fixed! Btw, is there a page somewhere that would describe what needs to be done for updating ports to eg CentOS 7.5?

tijl added inline comments.Apr 24 2019, 8:49 AM
devel/linux-c7-strace/Makefile
11 ↗(On Diff #56550)

There's a patch for 7.6 at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=229431 but it needs some work. I'll try to do it before the 11.3 freeze (in case it needs some kernel changes), but I can't actually promise that.

You don't have to set LINUXNAME by the way. It's just a helper variable used in some Linux ports, but it has no meaning outside the Makefile.

trasz updated this revision to Diff 56717.Apr 26 2019, 4:58 PM

Drop LINUXNAME.

tijl accepted this revision.Apr 26 2019, 8:20 PM
This revision is now accepted and ready to land.Apr 26 2019, 8:20 PM
This revision was automatically updated to reflect the committed changes.